/[gentoo-x86]/media-video/vlc/vlc-9999.ebuild
Gentoo

Diff of /media-video/vlc/vlc-9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.227 Revision 1.228
1# Copyright 1999-2014 Gentoo Foundation 1# Copyright 1999-2014 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.227 2014/11/16 14:37:22 dlan Exp $ 3# $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.228 2014/12/15 05:50:48 dlan Exp $
4 4
5EAPI="5" 5EAPI="5"
6 6
7SCM="" 7SCM=""
8if [ "${PV%9999}" != "${PV}" ] ; then 8if [ "${PV%9999}" != "${PV}" ] ; then
33 33
34LICENSE="LGPL-2.1 GPL-2" 34LICENSE="LGPL-2.1 GPL-2"
35SLOT="0/5-7" # vlc - vlccore 35SLOT="0/5-7" # vlc - vlccore
36 36
37if [ "${PV%9999}" = "${PV}" ] ; then 37if [ "${PV%9999}" = "${PV}" ] ; then
38 KEYWORDS="~amd64 ~arm ~ppc -sparc ~x86 ~amd64-fbsd ~x86-fbsd" 38 KEYWORDS="~amd64 ~arm ~ppc -sparc ~x86 ~x86-fbsd"
39else 39else
40 KEYWORDS="" 40 KEYWORDS=""
41fi 41fi
42 42
43IUSE="a52 aalib alsa altivec atmo +audioqueue avahi +avcodec 43IUSE="a52 aalib alsa altivec atmo +audioqueue avahi +avcodec
253 253
254 eautoreconf 254 eautoreconf
255 255
256 # Disable automatic running of tests. 256 # Disable automatic running of tests.
257 find . -name 'Makefile.in' -exec sed -i 's/\(..*\)check-TESTS/\1/' {} \; || die 257 find . -name 'Makefile.in' -exec sed -i 's/\(..*\)check-TESTS/\1/' {} \; || die
258
259 # If qtchooser is installed, it may break the build, because moc,rcc and uic binaries for wrong qt version may be used.
260 # Setting QT_SELECT environment variable will enforce correct binaries.
261 if use qt4; then
262 export QT_SELECT=qt4
263 elif use qt5; then
264 export QT_SELECT=qt5
265 fi
258} 266}
259 267
260src_configure() { 268src_configure() {
261 # Compatibility fix for Samba 4. 269 # Compatibility fix for Samba 4.
262 use samba && append-cppflags "-I/usr/include/samba-4.0" 270 use samba && append-cppflags "-I/usr/include/samba-4.0"

Legend:
Removed from v.1.227  
changed lines
  Added in v.1.228

  ViewVC Help
Powered by ViewVC 1.1.20